Bug 88615 - known ptrace exploits are not killed after failed execution causing high load on the system
Summary: known ptrace exploits are not killed after failed execution causing high load...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://www.lazarenko.net/ptrace.c
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-11 13:52 UTC by Vladimir Lazarenko
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-30 09:34:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vladimir Lazarenko 2003-04-11 13:52:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When you try to execute ptrace kernel exploit on the system, the exploit
procedure is terminated due to the fact that operation is not permitted. Alas,
the process itself still remains in the memory causing high load on the system.

exploit source can be found from http://www.lazarenko.net/ptrace.c

Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. cc -o ptrace ptrace.c
2. ./ptrace
3. ps axuw | grep ptrace
    

Actual Results:  ptrace process, which supposed to be killed, remained in memory
slowly eating processor time, up to 100%.

Expected Results:  Process should have been killed completely, as it happens in
2.4.21-pre* kernel branch.

Additional info:

Comment 1 Vladimir Lazarenko 2003-04-11 15:22:04 UTC
I apologize, ptrace.c is available on that URL now.

Comment 2 Mark J. Cox 2003-05-30 09:34:09 UTC
This should be fixed by RHSA-2003:172
http://rhn.redhat.com/errata/RHSA-2003-172.html
please reopen this bug if you still see this behaviour.


Note You need to log in before you can comment on or make changes to this bug.